#
# TODO:
#	- package apidocs
#
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Flexible Isometric Free Engine
Name:		fife
Version:	0.3.3r3
Release:	7
License:	LGPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fife/%{name}_%{version}.tar.gz
# Source0-md5:	ee39612009e124263dc79d1f0fa7ca7c
Patch0:		%{name}-extra_libs.patch
URL:		http://fifengine.net/
BuildRequires:	OpenAL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	boost-devel
BuildRequires:	guichan-devel
#BuildRequires:	guichan_opengl-devel
#BuildRequires:	guichan_sdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	python-devel >= 2.7
BuildRequires:	scons
BuildRequires:	swig-python
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FIFE is a cross platform 2D game creation framework written in C++
with Python bindings. It's designed to be flexible enough to support a
wide variety of 2D game types but specializes in 2D isometric type
views.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%package -n python-%{name}
Summary:	Flexible Isometric Free Engine Python Module
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-modules

%description -n python-%{name}
FIFE is a cross platform 2D game creation framework written in C++
with Python bindings. It's designed to be flexible enough to support a
wide variety of 2D game types but specializes in 2D isometric type
views.

%package apidocs
Summary:	%{name} API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki %{name}
Group:		Documentation

%description apidocs
API and internal documentation for %{name} library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki %{name}.

%prep
%setup -qn %{name}_%{version}
%patch0 -p1

%build
%scons -j1 fife-shared fife-python \
	%{?with_static_libs:fife-static} \
	--lib-dir=%{_libdir} \
	--prefix=%{_prefix} \
	--python-prefix=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

%scons -j1 install-shared install-python install-dev \
	%{?with_static_libs:install-static} \
	--lib-dir=%{_libdir} \
	--prefix=%{_prefix} \
	--python-prefix=%{py_sitedir} \
	--install-sandbox=$RPM_BUILD_ROOT

SAVED_PWD=$PWD
cd $RPM_BUILD_ROOT%{_libdir}
ln -s lib%{name}.so.0.?.? lib%{name}.so.0
ln -s lib%{name}.so.0.?.? lib%{name}.so
cd $SAVED_PWD

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%attr(755,root,root) %{_libdir}/lib%{name}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib%{name}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib%{name}.so
%{_includedir}/%{name}

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py*
%{py_sitedir}/%{name}/extensions

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib%{name}.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidocs/*
%endif
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fife.git;a=log;h=master

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 9885f53
- rebuild with boost 1.56.0
- release 7 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 3167177
- - rebuild with boost 1.55.0
- release 6 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 94ad20e
- - rebuild with boost 1.55.0
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> bca5b55
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> a08c0c6
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> c9196b1
- release 2 (by relup.sh)

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 23b2d2e
- Release: 1

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 0f70a06
- Use -j1 for scons

* Wed Oct 03 2012 Jacek Konieczny <jajcus@jajcus.net> 80c3c2f
- BR: swig-python

* Tue Oct 02 2012 Jacek Konieczny <jajcus@jajcus.net> 7473d85
- New package

